---
author:
- Robert Alessi
title: 'The ekdosis package – README file'
---

Overview
========
`ekdosis` is a LuaLaTeX package designed for multilingual critical
editions. It can be used to typeset texts and different layers of
critical notes in any direction accepted by LuaTeX. Texts can be
arranged in running paragraphs or on facing pages, in any number of
columns which in turn can be synchronized or not. In addition to
printed texts, `ekdosis` can convert `.tex` source files so as to
produce `TEI xml`-compliant critical editions. Database-driven
encoding under LaTeX then allows extraction of texts entered segment
by segment according to various criteria: main edited text, variant
readings, translations or annotated borrowings between texts. It is
published under the terms of the OpenBSD license.

License and Disclamer
=====================
ekdosis – Typesetting TEI xml-Compliant Critical Editions

Copyright ⓒ 2020, 2021, 2022, 2023 Robert Alessi
<alessi@robertalessi.net>

Permission to use, copy, modify, and distribute this software for any
purpose with or without fee is hereby granted, provided that the above
copyright notice and this permission notice appear in all copies.

THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.

Please send error reports and suggestions for improvements to Robert
Alessi:

-   email: <alessi@robertalessi.net>

-   website: <http://www.ekdosis.org>

-   comments, feature requests, bug reports:
    <http://www.ekdosis.org/issues>

-   mailing list, support: <http://www.ekdosis.org/mailman/listinfo/ekdosis> [[mailing list archives](http://www.ekdosis.org/pipermail/ekdosis/)]

This release of ekdosis consists of the following source files:

-   `ekdosis.dtx`

-   `ekdosis.ins`

-   `ekdosis.el`

-   `Makefile`

Installation
============
1.  Run `'latex ekdosis.ins'` to produce the `ekdosis.sty` and
    `ekdosis.lua` files.

2.  To finish the installation you have to move the `ekdosis.sty` and
    `ekdosis.lua` files into a directory where LaTeX can find them. See
    the FAQ on `texfaq.org` at <https://texfaq.org/FAQ-inst-wlcf> for
    more on this.

Development, Git Repository
===========================

Browse the Code
---------------
You can browse ekdosis repository on the web:
<http://git.robertalessi.net/ekdosis>

From this page, you can download all the releases of `ekdosis`. For
instructions on how to install `ekdosis`, please see above.

Comments, Feature Requests, Bug Reports
---------------------------------------
<http://www.ekdosis.org/issues>


Download the Repository
-----------------------
`ekdosis` development is facilitated by git, a distributed version
control system. You will need to install git (most Unix/Linux
distributions package it in their repositories).

Use this command to download the repository

    git clone http://git.robertalessi.net/ekdosis

or

	git clone https://git.sr.ht/~ralessi/ekdosis

A new directory named ekdosis will have been created, containing
`ekdosis`.

Git Hosting
-----------
Make an account on <https://sr.ht> and navigate (while logged in) to
<https://git.sr.ht/~ralessi/ekdosis>. Click *Clone repo to your
account* and you will have in your account your own repository of
`ekdosis` where you will be able to make whatever changes you like to.
